<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE sun-ejb-jar PUBLIC '-//Sun Microsystems, Inc.//DTD Sun ONE Application Server 7.0 EJB 2.0//EN' 'http://www.sun.com/software/sunone/appserver/dtds/sun-ejb-jar_2_0-0.dtd'>

<sun-ejb-jar>
  <enterprise-beans>
    <name>Mfg</name>
    <ejb>
      <ejb-name>BomEnt</ejb-name>
      <jndi-name>ejb/BomEnt</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/ComponentEnt68616298159538179</jndi-name>
      </ejb-ref>
      <ejb-ref>
        <ejb-ref-name>ejb/AssemblyEntLocal</ejb-ref-name>
	<jndi-name>localejbs/app_SPECjAppServer/AssemblyEnt68616298159538176</jndi-name>
      </ejb-ref>
      <pass-by-reference>false</pass-by-reference>
      <cmp>
        <mapping-properties>pcImpl0/moduleComp0/jars/validPackageComponentID0/BomEnt.mapping</mapping-properties>
        <is-one-one-cmp>false</is-one-one-cmp>
      </cmp>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <refresh-period-in-seconds>600</refresh-period-in-seconds>
      <gen-classes>
        <remote-impl>org.spec.jappserver.mfg.boment.ejb.BomCmp20EJB1669010587_ConcreteImpl_EJBObjectImpl</remote-impl>
        <local-impl>org.spec.jappserver.mfg.boment.ejb.BomCmp20EJB1669010587_ConcreteImpl_EJBLocalObjectImpl</local-impl>
        <remote-home-impl>org.spec.jappserver.mfg.boment.ejb.BomCmp20EJB1669010587_ConcreteImpl_RemoteHomeImpl</remote-home-impl>
        <local-home-impl>org.spec.jappserver.mfg.boment.ejb.BomCmp20EJB1669010587_ConcreteImpl_LocalHomeImpl</local-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
      <bean-cache>
        <max-cache-size>512</max-cache-size>
        <resize-quantity>16</resize-quantity>
        <is-cache-overflow-allowed>true</is-cache-overflow-allowed>
        <cache-idle-timeout-in-seconds>600</cache-idle-timeout-in-seconds>
        <removal-timeout-in-seconds>5400</removal-timeout-in-seconds>
        <victim-selection-policy>nru</victim-selection-policy>
      </bean-cache>
    </ejb>
    <ejb>
      <ejb-name>AssemblyEnt</ejb-name>
      <jndi-name>ejb/AssemblyEnt</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/InventoryEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/InventoryEnt68616298159538186</jndi-name>
      </ejb-ref>
      <ejb-ref>
	<ejb-ref-name>ejb/BomEntLocal</ejb-ref-name>
	<jndi-name>localejbs/app_SPECjAppServer/BomEnt68616298159538177</jndi-name>
      </ejb-ref>
      <pass-by-reference>false</pass-by-reference>
      <cmp>
        <mapping-properties>pcImpl0/moduleComp0/jars/validPackageComponentID0/AssemblyEnt.mapping</mapping-properties>
        <is-one-one-cmp>false</is-one-one-cmp>
      </cmp>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <refresh-period-in-seconds>600</refresh-period-in-seconds>
      <gen-classes>
        <remote-impl>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyCmp20EJB_1187175851_ConcreteImpl_EJBObjectImpl</remote-impl>
        <local-impl>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyCmp20EJB_1187175851_ConcreteImpl_EJBLocalObjectImpl</local-impl>
        <remote-home-impl>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyCmp20EJB_1187175851_ConcreteImpl_RemoteHomeImpl</remote-home-impl>
        <local-home-impl>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyCmp20EJB_1187175851_ConcreteImpl_LocalHomeImpl</local-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
      <bean-cache>
        <max-cache-size>512</max-cache-size>
        <resize-quantity>16</resize-quantity>
        <is-cache-overflow-allowed>true</is-cache-overflow-allowed>
        <cache-idle-timeout-in-seconds>600</cache-idle-timeout-in-seconds>
        <removal-timeout-in-seconds>5400</removal-timeout-in-seconds>
        <victim-selection-policy>nru</victim-selection-policy>
      </bean-cache>
    </ejb>
    <ejb>
      <ejb-name>LargeOrderMDB</ejb-name>
      <jndi-name>jms/LargeOrderQueue</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/LargeOrderEnt68616298159538189</jndi-name>
      </ejb-ref>
      <pass-by-reference>false</pass-by-reference>
      <mdb-connection-factory>
	<jndi-name>jms/QueueConnectionFactory</jndi-name>
	<default-resource-principal>
	  <name></name>
	  <password></password>
	</default-resource-principal>
      </mdb-connection-factory>
      <jms-max-messages-load>1</jms-max-messages-load>
      <is-read-only-bean>false</is-read-only-bean>
      <gen-classes />
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
    </ejb>
    <ejb>
      <ejb-name>PartEnt</ejb-name>
      <jndi-name>ejb/PartEnt</jndi-name>
      <pass-by-reference>false</pass-by-reference>
      <cmp>
        <mapping-properties>pcImpl0/moduleComp0/jars/validPackageComponentID0/PartEnt.mapping</mapping-properties>
        <is-one-one-cmp>false</is-one-one-cmp>
      </cmp>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <refresh-period-in-seconds>600</refresh-period-in-seconds>
      <gen-classes>
        <remote-impl>org.spec.jappserver.mfg.partent.ejb.PartCmp20EJB_1261662962_ConcreteImpl_EJBObjectImpl</remote-impl>
        <local-impl>org.spec.jappserver.mfg.partent.ejb.PartCmp20EJB_1261662962_ConcreteImpl_EJBLocalObjectImpl</local-impl>
        <remote-home-impl>org.spec.jappserver.mfg.partent.ejb.PartCmp20EJB_1261662962_ConcreteImpl_RemoteHomeImpl</remote-home-impl>
        <local-home-impl>org.spec.jappserver.mfg.partent.ejb.PartCmp20EJB_1261662962_ConcreteImpl_LocalHomeImpl</local-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
      <bean-cache>
        <max-cache-size>512</max-cache-size>
        <resize-quantity>16</resize-quantity>
        <is-cache-overflow-allowed>true</is-cache-overflow-allowed>
        <cache-idle-timeout-in-seconds>600</cache-idle-timeout-in-seconds>
        <removal-timeout-in-seconds>5400</removal-timeout-in-seconds>
        <victim-selection-policy>nru</victim-selection-policy>
      </bean-cache>
    </ejb>
    <ejb>
      <ejb-name>WorkOrderSes</ejb-name>
      <jndi-name>ejb/WorkOrderSes</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/WorkOrderEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/WorkOrderEnt68616298159538209</jndi-name>
      </ejb-ref>
      <ejb-ref>
        <ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/ComponentEnt68616298159538179</jndi-name>
      </ejb-ref>
      <ejb-ref>
        <ejb-ref-name>ejb/AssemblyEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/AssemblyEnt68616298159538176</jndi-name>
      </ejb-ref>
      <pass-by-reference>false</pass-by-reference>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <gen-classes>
        <remote-impl>org.spec.jappserver.mfg.workorderses.ejb.WorkOrderSesEJB_EJBObjectImpl</remote-impl>
        <remote-home-impl>org.spec.jappserver.mfg.workorderses.ejb.WorkOrderSesEJB_RemoteHomeImpl</remote-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
    </ejb>
    <ejb>
      <ejb-name>LargeOrderEnt</ejb-name>
      <jndi-name>ejb/LargeOrderEnt</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
        <jndi-name>ejb/SequenceSes</jndi-name>
      </ejb-ref>
      <cmp>
        <mapping-properties>pcImpl0/moduleComp0/jars/validPackageComponentID0/LargeOrderEnt.mapping</mapping-properties>
        <is-one-one-cmp>false</is-one-one-cmp>
      </cmp>
      <is-read-only-bean>false</is-read-only-bean>
      <gen-classes>
        <remote-impl>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderCmp20EJB_1780486098_ConcreteImpl_EJBObjectImpl</remote-impl>
        <local-impl>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderCmp20EJB_1780486098_ConcreteImpl_EJBLocalObjectImpl</local-impl>
        <remote-home-impl>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderCmp20EJB_1780486098_ConcreteImpl_RemoteHomeImpl</remote-home-impl>
        <local-home-impl>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderCmp20EJB_1780486098_ConcreteImpl_LocalHomeImpl</local-home-impl>
      </gen-classes>
    </ejb>
    <ejb>
      <ejb-name>ComponentEnt</ejb-name>
      <jndi-name>ejb/ComponentEnt</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/InventoryEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/InventoryEnt68616298159538186</jndi-name>
      </ejb-ref>
      <pass-by-reference>false</pass-by-reference>
      <cmp>
        <mapping-properties>pcImpl0/moduleComp0/jars/validPackageComponentID0/ComponentEnt.mapping</mapping-properties>
        <is-one-one-cmp>false</is-one-one-cmp>
      </cmp>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <refresh-period-in-seconds>600</refresh-period-in-seconds>
      <gen-classes>
        <remote-impl>org.spec.jappserver.mfg.componentent.ejb.ComponentCmp20EJB_700116014_ConcreteImpl_EJBObjectImpl</remote-impl>
        <local-impl>org.spec.jappserver.mfg.componentent.ejb.ComponentCmp20EJB_700116014_ConcreteImpl_EJBLocalObjectImpl</local-impl>
        <remote-home-impl>org.spec.jappserver.mfg.componentent.ejb.ComponentCmp20EJB_700116014_ConcreteImpl_RemoteHomeImpl</remote-home-impl>
        <local-home-impl>org.spec.jappserver.mfg.componentent.ejb.ComponentCmp20EJB_700116014_ConcreteImpl_LocalHomeImpl</local-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
      <bean-cache>
        <max-cache-size>512</max-cache-size>
        <resize-quantity>16</resize-quantity>
        <is-cache-overflow-allowed>true</is-cache-overflow-allowed>
        <cache-idle-timeout-in-seconds>600</cache-idle-timeout-in-seconds>
        <removal-timeout-in-seconds>5400</removal-timeout-in-seconds>
        <victim-selection-policy>nru</victim-selection-policy>
      </bean-cache>
    </ejb>
    <ejb>
      <ejb-name>MfgAuditSes</ejb-name>
      <jndi-name>ejb/MfgAuditSes</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/LargeOrderEnt68616298159538189</jndi-name>
      </ejb-ref>
      <resource-ref>
        <res-ref-name>MfgDataSource</res-ref-name>
        <jndi-name>jdbc/SPECDB</jndi-name>
      </resource-ref>
      <resource-ref>
        <res-ref-name>OrdsDataSource</res-ref-name>
        <jndi-name>jdbc/SPECDB</jndi-name>
      </resource-ref>
      <pass-by-reference>false</pass-by-reference>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <gen-classes>
        <remote-impl>org.spec.jappserver.mfg.mfgauditses.ejb.MfgAuditSesEJB_EJBObjectImpl</remote-impl>
        <remote-home-impl>org.spec.jappserver.mfg.mfgauditses.ejb.MfgAuditSesEJB_RemoteHomeImpl</remote-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
    </ejb>
    <ejb>
      <ejb-name>WorkOrderEnt</ejb-name>
      <jndi-name>ejb/WorkOrderEnt</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
        <jndi-name>ejb/SequenceSes</jndi-name>
      </ejb-ref>
      <ejb-ref>
        <ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/LargeOrderEnt68616298159538189</jndi-name>
      </ejb-ref>
      <ejb-ref>
        <ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/ComponentEnt68616298159538179</jndi-name>
      </ejb-ref>
      <ejb-ref>
        <ejb-ref-name>ejb/AssemblyEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/AssemblyEnt68616298159538176</jndi-name>
      </ejb-ref>
      <resource-ref>
        <res-ref-name>jms/QueueConnectionFactory</res-ref-name>
        <jndi-name>jms/QueueConnectionFactory</jndi-name>
      </resource-ref>
      <resource-env-ref>
        <resource-env-ref-name>jms/FulfillOrderQueue</resource-env-ref-name>
        <jndi-name>jms/FulfillOrderQueue</jndi-name>
      </resource-env-ref>
      <resource-env-ref>
        <resource-env-ref-name>jms/BuyerQueue</resource-env-ref-name>
        <jndi-name>jms/BuyerQueue</jndi-name>
      </resource-env-ref>
      <pass-by-reference>false</pass-by-reference>
      <cmp>
        <mapping-properties>pcImpl0/moduleComp0/jars/validPackageComponentID0/WorkOrderEnt.mapping</mapping-properties>
        <is-one-one-cmp>false</is-one-one-cmp>
      </cmp>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <refresh-period-in-seconds>600</refresh-period-in-seconds>
      <gen-classes>
        <remote-impl>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderCmp20EJB766817554_ConcreteImpl_EJBObjectImpl</remote-impl>
        <local-impl>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderCmp20EJB766817554_ConcreteImpl_EJBLocalObjectImpl</local-impl>
        <remote-home-impl>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderCmp20EJB766817554_ConcreteImpl_RemoteHomeImpl</remote-home-impl>
        <local-home-impl>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderCmp20EJB766817554_ConcreteImpl_LocalHomeImpl</local-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
      <bean-cache>
        <max-cache-size>512</max-cache-size>
        <resize-quantity>16</resize-quantity>
        <is-cache-overflow-allowed>true</is-cache-overflow-allowed>
        <cache-idle-timeout-in-seconds>600</cache-idle-timeout-in-seconds>
        <removal-timeout-in-seconds>5400</removal-timeout-in-seconds>
        <victim-selection-policy>nru</victim-selection-policy>
      </bean-cache>
    </ejb>
    <ejb>
      <ejb-name>ReceiveMDB</ejb-name>
      <jndi-name>jms/ReceiveQueue</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/ComponentEnt68616298159538179</jndi-name>
      </ejb-ref>
      <pass-by-reference>false</pass-by-reference>
      <mdb-connection-factory>
	<jndi-name>jms/QueueConnectionFactory</jndi-name>
	<default-resource-principal>
	  <name></name>
	  <password></password>
	</default-resource-principal>
      </mdb-connection-factory>
      <jms-max-messages-load>1</jms-max-messages-load>
      <is-read-only-bean>false</is-read-only-bean>
      <gen-classes />
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
    </ejb>
    <ejb>
      <ejb-name>LargeOrderSes</ejb-name>
      <jndi-name>ejb/LargeOrderSes</jndi-name>
      <ejb-ref>
        <ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
        <jndi-name>localejbs/app_SPECjAppServer/LargeOrderEnt68616298159538189</jndi-name>
      </ejb-ref>
      <pass-by-reference>false</pass-by-reference>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <gen-classes>
        <remote-impl>org.spec.jappserver.mfg.largeorderses.ejb.LargeOrderSesEJB_EJBObjectImpl</remote-impl>
        <remote-home-impl>org.spec.jappserver.mfg.largeorderses.ejb.LargeOrderSesEJB_RemoteHomeImpl</remote-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
    </ejb>
    <ejb>
      <ejb-name>InventoryEnt</ejb-name>
      <jndi-name>ejb/InventoryEnt</jndi-name>
      <pass-by-reference>false</pass-by-reference>
      <cmp>
        <mapping-properties>pcImpl0/moduleComp0/jars/validPackageComponentID0/InventoryEnt.mapping</mapping-properties>
        <is-one-one-cmp>false</is-one-one-cmp>
      </cmp>
      <ior-security-config>
        <transport-config>
          <integrity>none</integrity>
          <confidentiality>none</confidentiality>
          <establish-trust-in-target>none</establish-trust-in-target>
          <establish-trust-in-client>supported</establish-trust-in-client>
        </transport-config>
        <as-context>
          <auth-method>username_password</auth-method>
          <realm>default</realm>
          <required>false</required>
        </as-context>
        <sas-context>
          <caller-propagation>supported</caller-propagation>
        </sas-context>
      </ior-security-config>
      <is-read-only-bean>false</is-read-only-bean>
      <refresh-period-in-seconds>600</refresh-period-in-seconds>
      <gen-classes>
        <remote-impl>org.spec.jappserver.mfg.inventoryent.ejb.InventoryCmp20EJB1002394095_ConcreteImpl_EJBObjectImpl</remote-impl>
        <local-impl>org.spec.jappserver.mfg.inventoryent.ejb.InventoryCmp20EJB1002394095_ConcreteImpl_EJBLocalObjectImpl</local-impl>
        <remote-home-impl>org.spec.jappserver.mfg.inventoryent.ejb.InventoryCmp20EJB1002394095_ConcreteImpl_RemoteHomeImpl</remote-home-impl>
        <local-home-impl>org.spec.jappserver.mfg.inventoryent.ejb.InventoryCmp20EJB1002394095_ConcreteImpl_LocalHomeImpl</local-home-impl>
      </gen-classes>
      <bean-pool>
        <steady-pool-size>32</steady-pool-size>
        <resize-quantity>16</resize-quantity>
        <max-pool-size>640</max-pool-size>
        <pool-idle-timeout-in-seconds>600</pool-idle-timeout-in-seconds>
        <max-wait-time-in-millis>0</max-wait-time-in-millis>
      </bean-pool>
      <bean-cache>
        <max-cache-size>512</max-cache-size>
        <resize-quantity>16</resize-quantity>
        <is-cache-overflow-allowed>true</is-cache-overflow-allowed>
        <cache-idle-timeout-in-seconds>600</cache-idle-timeout-in-seconds>
        <removal-timeout-in-seconds>5400</removal-timeout-in-seconds>
        <victim-selection-policy>nru</victim-selection-policy>
      </bean-cache>
    </ejb>
    <pm-descriptors>
      <pm-descriptor>
        <pm-identifier>SunONE</pm-identifier>
        <pm-version>1.0</pm-version>
        <pm-config>myconfig.config</pm-config>
        <pm-class-generator>com.iplanet.ias.persistence.internal.ejb.ejbc.JDOCodeGenerator</pm-class-generator>
        <pm-mapping-factory>com.iplanet.ias.cmp.NullFactory</pm-mapping-factory>
      </pm-descriptor>
      <pm-inuse>
        <pm-identifier>SunONE</pm-identifier>
        <pm-version>1.0</pm-version>
      </pm-inuse>
    </pm-descriptors>
    <cmp-resource>
      <jndi-name>jdo/specj</jndi-name>
    </cmp-resource>
  </enterprise-beans>
</sun-ejb-jar>

